summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 04:03:27 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 04:03:27 (EDT)
commit90c36e26defc2f56b8db1294b857a4028b197437 (patch)
tree348163f598cb8363191fd1dca16df8e5348badec /tests
parent8173bcbcc3a05333979b0da0a765b4dedde7448e (diff)
tests/*.sh: set -e
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ob_arch_is_concerned.sh2
-rwxr-xr-xtests/ob_match_arch.sh2
-rwxr-xr-xtests/ob_parse_changelog.sh2
-rwxr-xr-xtests/ob_parse_control.sh2
-rwxr-xr-xtests/ob_parse_dep.sh2
-rwxr-xr-xtests/ob_plat_is_concerned.sh2
-rwxr-xr-xtests/ob_reduce_deps.sh2
7 files changed, 14 insertions, 0 deletions
diff --git a/tests/ob_arch_is_concerned.sh b/tests/ob_arch_is_concerned.sh
index c408ef3..41c57d2 100755
--- a/tests/ob_arch_is_concerned.sh
+++ b/tests/ob_arch_is_concerned.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_match_arch.sh b/tests/ob_match_arch.sh
index 6d6785d..f483dc8 100755
--- a/tests/ob_match_arch.sh
+++ b/tests/ob_match_arch.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_parse_changelog.sh b/tests/ob_parse_changelog.sh
index d406d6c..7e7be02 100755
--- a/tests/ob_parse_changelog.sh
+++ b/tests/ob_parse_changelog.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_parse_control.sh b/tests/ob_parse_control.sh
index c9e4289..faa0c16 100755
--- a/tests/ob_parse_control.sh
+++ b/tests/ob_parse_control.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_parse_dep.sh b/tests/ob_parse_dep.sh
index 77351d0..2ee6cbf 100755
--- a/tests/ob_parse_dep.sh
+++ b/tests/ob_parse_dep.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_plat_is_concerned.sh b/tests/ob_plat_is_concerned.sh
index ea55ce0..1d64d95 100755
--- a/tests/ob_plat_is_concerned.sh
+++ b/tests/ob_plat_is_concerned.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
diff --git a/tests/ob_reduce_deps.sh b/tests/ob_reduce_deps.sh
index 5519dde..833f8de 100755
--- a/tests/ob_reduce_deps.sh
+++ b/tests/ob_reduce_deps.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"